Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

pythonPackages.ffmpeg-python: init at 0.2.0 #73194

Closed
wants to merge 1 commit into from
Closed

Conversation

@nrdxp
Copy link
Contributor

nrdxp commented Nov 11, 2019

An ffmpeg wrapper for python, that support arbitrarily complex filter graphs.

Copy link
Member

FRidh left a comment

Don't propagate packages into a user environment. This should basically never be done as it is likely to cause collisions.

@nrdxp nrdxp closed this Dec 4, 2019
@nrdxp nrdxp force-pushed the nrdxp:ffmpeg-python branch from 3f87499 to 251a560 Dec 4, 2019
@nrdxp nrdxp reopened this Dec 4, 2019
sha256 = "09s19kvgc4f0g05z3xjj8w15xcwbabmv3j0i1vppii978srms8k5";
inherit pname version;
};

This comment has been minimized.

Copy link
@jonringer

jonringer Dec 4, 2019

Contributor
Suggested change
nativeBuildInputs = [ pytestrunner ];

to avoid:

builder for '/nix/store/lr2xs105hj9q0f6hsa1n5q9bzr83v9p5-python3.8-ffmpeg-python-0.2.0.drv' failed with exit code 1; last 10 log lines:
      dist = best[req.key] = env.best_match(
    File "/nix/store/793ld8znz8abpkiwryyzdqhcgd6pqzfv-python3.8-setuptools-41.6.0/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1065, in best_match
      return self.obtain(req, installer)
    File "/nix/store/793ld8znz8abpkiwryyzdqhcgd6pqzfv-python3.8-setuptools-41.6.0/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1077, in obtain
      return installer(requirement)
    File "/nix/store/793ld8znz8abpkiwryyzdqhcgd6pqzfv-python3.8-setuptools-41.6.0/lib/python3.8/site-packages/setuptools/dist.py", line 787, in fetch_build_egg
      return cmd.easy_install(req)
    File "/nix/store/793ld8znz8abpkiwryyzdqhcgd6pqzfv-python3.8-setuptools-41.6.0/lib/python3.8/site-packages/setuptools/command/easy_install.py", line 673, in easy_install
      raise DistutilsError(msg)
  distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pytest-runner')
src = fetchPypi {
sha256 = "09s19kvgc4f0g05z3xjj8w15xcwbabmv3j0i1vppii978srms8k5";
inherit pname version;
};
Comment on lines +12 to +15

This comment has been minimized.

Copy link
@jonringer

jonringer Dec 4, 2019

Contributor

looks like tests aren't packaged, do you mind checking this out from github?

@nrdxp nrdxp closed this Dec 25, 2019
@nrdxp nrdxp deleted the nrdxp:ffmpeg-python branch Jan 6, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.